<template>
    <dropdown v-bind:icon="map.paths.icon" centered=true>
        <a 
            v-bind:key="key" 
            v-for="(style, key) in ICONS"
            v-on:click="map.paths.updateIcon(key)" 
            class="navbar-item"
        >
            <icon-base v-bind:name="key" />
        </a>
    </dropdown>
</template>

<script lang="ts">
    import { Component, Prop, Vue } from 'vue-property-decorator';
    import { State } from 'vuex-class';
    import Dropdown from './Dropdown.vue';
    import IconBase from './IconBase.vue';

    import { MARKER_ICONS } from '@/ts/enums';
    import { Mapview } from '@/ts/mapview';

    @Component({
        components: {
            Dropdown,
            IconBase,
        },
    })
    export default class BarIconSelector extends Vue {
        @State('map') private map!: Mapview;

        private ICONS: typeof MARKER_ICONS = MARKER_ICONS;
    }
</script>